﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>Ejemplos de transiciones con CSS3</title>
	<style type="text/css">
#contenedor {
    width: 25em;
    height: 4em;
    margin: 0 auto;
    border: 2px solid #eb7260;
}

#barra {
    width: 0;
    height: 100%;
    background: #eb7260;
}

#texto {
    font-size: 2em;
    font-weight: bold;
    line-height: 2em;
    width: 12.5em;
    height: 100%;
    text-align: center;
    color: #eb7260;
    mix-blend-mode: difference;
}

@keyframes progreso {
    0% {
        width: 0;
    }
    100% {
        width: 100%;
    }
}

@keyframes porcentaje {
    0% {
        content: '0%';
    }
    25% {
        content: '25%';
    }
    50% {
        content: '50%';
    }
    75% {
        content: '75%';
    }
    100% {
        content: '100%';
    }
}
#barra {
    animation: progreso 5s linear infinite;
}

#texto:after {
    animation: porcentaje 5s linear infinite; 
    content: '0%';
}
</style>
</head>
<body>
<div id="contenedor">
  <div id="barra">
    <div id="texto"></div>
  </div>
</div>
</body>
</html>